# pandas.Series.isin

`Series.``isin`(values)

  Return a boolean `Series` showing whether each element in the `Series` is exactly contained in the passed sequence of `values`.

  Parameters:

  values : set or list-like

  > The sequence of values to test. Passing in a single string will raise a `TypeError`. Instead, turn a single string into a `list` of one element.

  > New in version 0.18.1.

  > Support for values as a set

  Returns: | isin : Series (bool dtype)

  Raises:

  TypeError

  > - If `values` is a string

  See also

  `pandas.DataFrame.isin`

  Examples

      >>> s = pd.Series(list('abc'))
      >>> s.isin(['a', 'c', 'e'])
      0     True
      1    False
      2     True
      dtype: bool

  Passing a single string as `s.isin('a')` will raise an error. Use a list of one element instead:

      >>> s.isin(['a'])
      0     True
      1    False
      2    False
      dtype: bool

Scroll To Top